# MetadataClass

#### new Cesium.MetadataClass(options)
engine/Source/Scene/MetadataClass.js 26

A metadata class.

See the 3D Metadata Specification for 3D Tiles

Name | Type | Description
--- | --- | ---

`options`

object

Object with the following properties:

Name | Type | Description
--- | --- | ---
`id` | string | The ID of the class.
`name` | string | optional The name of the class.
`description` | string | optional The description of the class.
`properties` | Object.<string, MetadataClassProperty> | optional The class properties, where each key is the property ID.
`extras` | * | optional Extra user-defined properties.
`extensions` | object | optional An object containing extensions.

##### Experimental

This feature is using part of the 3D Tiles spec that is not final and is subject to change without Cesium's standard deprecation policy.

### Members

#### readonly description : string
engine/Source/Scene/MetadataClass.js 161

The description of the class.

#### readonly extensions : object
engine/Source/Scene/MetadataClass.js 187

An object containing extensions.

#### readonly extras : *
engine/Source/Scene/MetadataClass.js 174

Extra user-defined properties.

#### readonly id : string
engine/Source/Scene/MetadataClass.js 135

The ID of the class.

#### readonly name : string
engine/Source/Scene/MetadataClass.js 148

The name of the class.

#### readonly properties : Object.<string, MetadataClassProperty>
engine/Source/Scene/MetadataClass.js 107

The class properties.

Need help? The fastest way to get answers is from the community and team on the Cesium Forum.